<form [formGroup]="form" (ngSubmit)="onFilter()">
  <layout-filter-content
    [title]="'LOAN_MANAGER.PRE_PAYMENTS.FILTERS.TITLE' | translate"
    [description]="'LOAN_MANAGER.PRE_PAYMENTS.FILTERS.DESCRIPTION' | translate"
    [results]="(prePaymentsTable$ | async)?.filtered"
    [hasFiltredData]="isPrePaymentsFiltred$ | async"
    (cleanFilters)="onCleanFilters()"
  >
    <div class="main-filter" slot="main-filter">
      <mo-input
        formControlName="search"
        [placeholder]="
          'LOAN_MANAGER.PRE_PAYMENTS.FILTERS.SEARCH_BAR' | translate
        "
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
    </div>
    <div slot="filters" class="filters">
      <mo-input
        formControlName="amount__gte"
        [label]="'LOAN_MANAGER.PRE_PAYMENTS.FILTERS.AMOUNT_TITLE' | translate"
        [placeholder]="
          'LOAN_MANAGER.PRE_PAYMENTS.FILTERS.AMOUNT_LESS' | translate
        "
        [type]="INPUT_TYPE.NUMBER"
        [icon]="'uil-usd-circle'"
        [iconPosition]="ICON_POSITION.LEFT"
      ></mo-input>
      <mo-input
        formControlName="amount__lte"
        [placeholder]="
          'LOAN_MANAGER.PRE_PAYMENTS.FILTERS.AMOUNT_GRATHER' | translate
        "
        [type]="INPUT_TYPE.NUMBER"
        [icon]="'uil-usd-circle'"
        [iconPosition]="ICON_POSITION.LEFT"
      ></mo-input>
      <mo-date
        formControlName="created_at"
        [label]="
          'LOAN_MANAGER.PRE_PAYMENTS.FILTERS.DATE_OF_PAYMENT_TITLE' | translate
        "
        [placeholder]="
          'LOAN_MANAGER.PRE_PAYMENTS.FILTERS.DATE_OF_PAYMENT_PLACEHOLDER'
            | translate
        "
      ></mo-date>
      <mo-drop-down
        formControlName="status"
        [options]="statusOptions"
        [label]="'LOAN_MANAGER.PRE_PAYMENTS.FILTERS.STATUS' | translate"
        [defaultOptionName]="
          'LOAN_MANAGER.PRE_PAYMENTS.FILTERS.STATUS' | translate
        "
      ></mo-drop-down>
      <mo-button
        [text]="'APP.FILTERS.BTN_SEARCH' | translate"
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [type]="BUTTON_TYPE.SUBMIT"
      >
      </mo-button>
    </div>
  </layout-filter-content>
</form>
